function y = comp_mu_quantile(lambda, nu, quantile, lower)
% evaluate given quantile of COMP distribution with canonical param lambda,
% dispersion nu. lower = 1 for rounding down, lower = 0 for rounding up
y = 0 ;
prob = comp_mu_pmf2(y, lambda, nu) ;
while prob <= quantile
    y = y+1 ;
    prob = prob + comp_mu_pmf2(y, lambda, nu) ;
end;
if lower
    y = max(y-1,0);
end 