function lambda = comp_lambda(mu, nu)
% for given mean mu and dispersion nu,
% solve for the rate lambda

   fun = @(lambda)comp_means(lambda,nu) - mu ;
   lambda0 = 10^nu ;
   lambda = fzero(fun, lambda0) ;
    
end