function pmf = comp_mu_pmf2(yvalues, lambda, nu)
% evaluate pmf of COMP distribution with canonical param lambda, dispersion nu,
% at a vector of yvalues

% evaluate pmf at yvalues
pmf = (lambda.^yvalues) ./ (factorial(yvalues).^nu) ./ Z(lambda, nu) ;

end 