function var1 = comp_variances(lambda, nu)
% approximates variances of COMP distributions
% lambda can be a scalar or vector

summax = 100; 
termlim = 1e-6;

% zero vector length of same length as lambda
sum2 = lambda*0 ; 
for js = 1:summax
    term = (js-1)^2*exp(log(lambda.^(js-1)) - nu*gammaln(js));
    if(js > 3)
        if(max(term./sum2) < termlim)
            break
        end
    end
    sum2 = sum2 + term;
end
var1 = sum2./Z(lambda, nu) - comp_means(lambda, nu).^2;
end